Skip to main content
PUT
/
api
/
users
/
{id}
Edit details of the given user.
curl --request PUT \
  --url https://api.example.com/api/users/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'organization-id: <organization-id>' \
  --data '
{
  "firstName": "John",
  "lastName": "Doe",
  "email": "[email protected]",
  "roleId": 2
}
'
import requests

url = "https://api.example.com/api/users/{id}"

payload = {
    "firstName": "John",
    "lastName": "Doe",
    "email": "[email protected]",
    "roleId": 2
}
headers = {
    "Authorization": "<authorization>",
    "organization-id": "<organization-id>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    Authorization: '<authorization>',
    'organization-id': '<organization-id>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({firstName: 'John', lastName: 'Doe', email: '[email protected]', roleId: 2})
};

fetch('https://api.example.com/api/users/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

id
number
required

Body

application/json
firstName
string
required

First name of the user

Example:

"John"

lastName
string
required

Last name of the user

Example:

"Doe"

email
string
required

Email address of the user

roleId
number
required

Role ID assigned to the user

Example:

2

Response

200 - application/json

The user has been edited successfully.